()

NAME
pmempool-check - check and repair persistent memory pool

SYNOPSIS

        $ pmempool check [<options>] <file>

DESCRIPTION
The pmempool invoked with check command checks consistency of a given pool file. If the pool file is consistent pmempool exits with 0 value. If the pool file is not consistent non-zero error code is returned.

In case of any errors, the proper message is printed. The verbosity level may be increased using -v option. The output messages may be also suppressed using -q option.

It is possible to try to fix encountered problems using -r option. In order to be sure this will not corrupt your data you can either create backup of the pool file using -b option or just print what would be fixed without modifying original pool using -N option.

    NOTE: Currently, checking the pmemobj pool is limited to pool header consistency only and neither repair nor advanced options are supported.

  Available options:
-r, --repair

Try to repair a pool file if possible.

-y, --yes

Answer yes on all questions.

-d, --dry-run

Don’t execute, just show what would be done. Not supported on Device DAX.

-N, --no-exec

Deprecated alias for dry-run.

-b, --backup <file>

Create backup of a pool file before executing. Terminate if it is not possible to create a backup file. This option requires -r option.

-a, --advanced

Perform advanced repairs. This option enables more aggressive steps in attempts to repair a pool. This option requires -r, --repair.

-q, --quiet

Be quiet and don’t print any messages.

-v, --verbose

Be more verbose.

-h, --help

Display help message and exit.

EXAMPLE

        $ pmempool check pool.obj

Check consistency of “pool.obj” pool file

SEE ALSO
pmempool(1), libpmemobj(7), libpmempool(7) and https://pmem.io